# 'Count Pages' Plugin

This small plugin will count the number of pages in your FlatPress instance.
Pages are either entries, draft entries, or static pages ('statics').

The plugin has been tested with FlatPress version 1.2.1.

## Installation

1. Copy this plugin's folder to the `fp-plugins` folder of your FlatPress
   installation.
2. Go to the administration area and select 'Plugins' from the menu.
3. Lookup the name of this plugin from the plugin list and click 'Enable'.

## Usage

1. In the administration area select 'Entries' from the menu.
2. Click on 'Count Pages' to make the plugin walk through all your pages.
3. Depending on the size of your blog the result, similar to this example,
   will either show up within a blink of an eye or several seconds.

```
   Number of pages
   ---------------

   This blog contains:

       2 entries
       1 drafts
       2 statics

   That is 5 pages in total.
```

## License

At your choice you may use this software under one of the following licenses.

- [Fair License](./LICENSE-Fair.md))
- [The MIT License](./LICENSE-MIT.md))
- [GNU GENERAL PUBLIC LICENSE Version 2](./LICENSE-GPL.md))
